#! /bin/sh
# Exile crontab script
# Copyright (C) 2002 Daniele Nicolucci <jollino@sogno.net>
# Copyright (C) 2002 Lucas Nussbaum <lucas@lucas-nussbaum.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Written by Jollino <jollino@sogno.net>
# Improved by Lucas <lucas@lucas-nussbaum.net>

# CONFIGURATION

exile_dir='/home/coding/exile'
# you might want to add the -v parameter to generate more output
exile_exec='./exile'
exile_pid='exile.pid'
exile_log='exile.log'

# SCRIPT

cd $exile_dir
if [ -f $exile_pid ]; then
	pid=`cat $exile_pid`
	if [ `ps -p $pid | wc -l` -eq 2 ]; then
		exit
	else
		echo "Pidfile was stale."
	fi
fi

echo "Looks like Exile died... let's relaunch it"
backuplogname=$exile_log.`date '+%s'`
mv $exile_log $backuplogname
gzip $backuplogname
$exile_exec
